/*******************************************************************************
 * Copyright (c) 2013 IBM Corp.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * and Eclipse Distribution License v1.0 which accompany this distribution.
 *
 * The Eclipse Public License is available at
 *    http://www.eclipse.org/legal/epl-v10.html
 * and the Eclipse Distribution License is available at
 *   http://www.eclipse.org/org/documents/edl-v10.php.
 *
 * Contributors:
 *    Takahiro Inaba - initial API and implementation and/or initial
 *                     documentation
 *******************************************************************************/
package com.ibm.jmeter.protocol.mqtt;

public class TestMqttSampler extends MqttSampler {
	private static final long serialVersionUID = 1L;
	public MockClient client;
	public IMqttClient realClient;
	public boolean failOnPublish;

	@Override
	protected IMqttClient createClient() throws MqttException {
		realClient = super.createClient();
		client = new MockClient();
		client.failOnPublish = failOnPublish;
		return client;
	}

}
